Skip to main content
Use these endpoints to retrieve clothing items from a wardrobe. GET /users/me/clothing returns all of your items, including private ones. GET /users/{user_id}/clothing returns only publicly visible items from another user’s wardrobe.

Endpoints

FieldPrivate listPublic list
MethodGETGET
Path/users/me/clothing/users/{user_id}/clothing
Auth requiredYes — Bearer tokenYes — Bearer token
Rate limit5 per minute5 per minute
VisibilityAll items (including private)Public items only (is_public: true)

Query parameters

limit
integer
default:"50"
Maximum number of clothing items to return per page.
offset
integer
default:"0"
Number of items to skip before returning results. Use with limit for pagination.
category
string
Filter results to a specific category. Accepted values: JACKET, TOP, BOTTOM, FOOTWEAR.

Response fields

Status: 200 OK
limit
integer
required
The limit value used for this page of results.
offset
integer
required
The offset value used for this page of results.
clothing
array
required
Array of clothing objects.

Example

cURL
curl --request GET \
  --url "https://api.drssed.com/users/me/clothing?limit=10&offset=0" \
  --header "Authorization: Bearer <token>"
Response
{
  "limit": 10,
  "offset": 0,
  "clothing": [
    {
      "clothing_id": "clth_a1b2c3d4e5f6",
      "name": "White Oxford Shirt",
      "category": "TOP",
      "color": "White",
      "is_public": true,
      "user_id": "usr_9z8y7x6w",
      "image_id": "img_f1e2d3c4",
      "created_at": "2025-03-14T10:22:00+00:00",
      "seasons": ["Spring", "Summer"],
      "tags": ["Formal", "Casual"],
      "description": "Classic slim-fit Oxford button-down."
    }
  ]
}